#!/bin/bash
echo -----------------------------------
echo Using pip to install Python $PY_VER version of tokenizers

if [ `uname` == Linux ]; then
    if [ "$PY_VER" == "3.6" ]; then
        wheel_url=https://files.pythonhosted.org/packages/b3/34/bb758c20fad7295eb8e2d0227e3b6860a8b1ecc85ab30be4883b18235c15/tokenizers-0.10.1-cp36-cp36m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.7" ]; then
        wheel_url=https://files.pythonhosted.org/packages/71/18/60eb3eb2b6ed3c524ad79f87e3145f84d725ef05a249d04badbc755cc1a2/tokenizers-0.10.1-cp37-cp37m-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.8" ]; then
        wheel_url=https://files.pythonhosted.org/packages/e1/71/b6b9a97cf03f99b917386d34e8341aee3534fb0e45583c4f04d0eb3069ae/tokenizers-0.10.1-cp38-cp38-manylinux1_x86_64.whl
    elif [ "$PY_VER" == "3.9" ]; then
        wheel_url=https://files.pythonhosted.org/packages/f4/ed/5504da389aaf6b335a75ae093b6c32c85939327b485fa38d2b7e712be867/tokenizers-0.10.1-cp39-cp39-manylinux1_x86_64.whl
    fi
fi

if ["$wheel_url" == ""]; then
    echo Unsupported Python version $PY_VER.
    exit 1
fi

$PYTHON -m pip install --no-deps $wheel_url -vv

errorlevel=$?
echo $status
echo ERRORLEVEL: $rc
exit $rc

